Name: nted
Version: 1.4.17
Release: %mkrel 2
Summary: A new musical score editor for Linux
License: GPLv2+
URL: http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/nted.xhtml
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/%name-%version.tar.gz
Patch0: nted-1.4.17-fix-desktop.patch
BuildRequires: gtk+2-devel
BuildRequires: libalsa-devel
BuildRequires: yelp kdesdk4-po2xml xmlto

%description
NtEd is a new musical score editor for Linux.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --docdir=%_datadir/docs
%make

%install
rm -rf %buildroot
%makeinstall_std

mv %buildroot%_datadir/docs .

%find_lang %name

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc ABOUT_THE_EXAMPLES.TXT AUTHORS FAQ
%doc docs/*
%{_bindir}/*
%{_datadir}/%name
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/nted.png

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif


%changelog
* Thu Dec 11 2008 Funda Wang <fundawang@mandriva.org> 1.4.17-2mdv2009.0
+ Revision: 313354
- fix desktop file
- comply to doc policy

* Thu Dec 11 2008 Funda Wang <fundawang@mandriva.org> 1.4.17-1mdv2009.1
+ Revision: 313328
- New version 1.4.17

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.22.3-3mdv2009.0
+ Revision: 268300
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 11 2008 Funda Wang <fundawang@mandriva.org> 0.22.3-2mdv2009.0
+ Revision: 205582
- fix desktop entry

* Fri Apr 25 2008 Funda Wang <fundawang@mandriva.org> 0.22.3-1mdv2009.0
+ Revision: 197412
- BR yelp and po2xml for doc generation.
- New version 0.22.3

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Sun Jan 27 2008 Funda Wang <fundawang@mandriva.org> 0.17.1-1mdv2008.1
+ Revision: 158584
- update to new version 0.17.1

* Wed Jan 09 2008 Funda Wang <fundawang@mandriva.org> 0.16.0-1mdv2008.1
+ Revision: 147164
- New version 0.16.0

* Tue Dec 25 2007 Funda Wang <fundawang@mandriva.org> 0.13.0-1mdv2008.1
+ Revision: 137713
- add menu item
- Import SOURCES and SPEC
- Created package structure for nted.

